using System;

class Program
{
    static void Main()
    {
        int N = int.Parse(Console.ReadLine());
        string[] A = Console.ReadLine().Split();
        string[] B = Console.ReadLine().Split();

        int[] nizA = new int[N];
        int[] nizB = new int[N];

        for (int i = 0; i < N; i++)
        {
            nizA[i] = int.Parse(A[i]);
            nizB[i] = int.Parse(B[i]);
        }

        int maksimalna = 0;

        for (int i = 0; i < N; i++)
        {
            for (int j = i; j < N; j++)
            {
                int xorVrednost = 0;
                int andVrednost = -1;

                for (int k = i; k <= j; k++)
                {
                    xorVrednost ^= nizA[k];
                    andVrednost &= nizB[k];
                }

                int vrednost = xorVrednost * andVrednost;
                maksimalna = Math.Max(maksimalna, vrednost);
            }
        }

        Console.WriteLine(maksimalna);
    }
}